## heimdall-flash 1.4~rc1+dfsg

=== debian/changelog ===
heimdall-flash (1.4~rc1+dfsg-1) unstable; urgency=low

  * Initial package (Closes: #644520, #692863).
  * debian/patches/0001-Don-t-try-to-set-the-file-transfer-size-to-1MB-
    on-de.patch: Don't try to set the file transfer size to 1MB on devices
    of type 30; this may be correct for some of them, but definitely not for
    the SGH-T989.
  * debian/patches/remove-largefile-define.diff: Remove
    QT_LARGEFILE_SUPPORT as it is defined in Debian.  Thanks to Marcin
    Juszkiewicz <marcin@juszkiewicz.com.pl>.

 -- Steve Langasek <vorlon@debian.org>  Fri, 09 Nov 2012 19:58:15 -0800
