## heimdall-flash 1.4.0

=== debian/changelog ===
heimdall-flash (1.4.0-2) unstable; urgency=medium

  * Add Conflicts/Replaces for the upstream packages that are named
    differently.  Closes: #696879, LP: #1165843.

 -- Steve Langasek <vorlon@debian.org>  Sun, 06 Apr 2014 02:09:07 -0700

heimdall-flash (1.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #706300)
    - Fixes compatibility with the Galaxy S4 (closes: #723916) and the
      Galaxy S Relay 4G (closes: #730746).
    - Drop 0001-Don-t-try-to-set-the-file-transfer-size-to-1MB-on-de.patch;
      this is addressed differently in the upstream release.
    - Includes updated config.{sub,guess}.  Closes: #727892.
  * Add missing dependency from heimdall-flash-frontend to heimdall-flash.
    Closes: #724785.

 -- Steve Langasek <vorlon@debian.org>  Fri, 29 Nov 2013 17:50:48 +0000
