=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
 Package: heimdall-flash
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: heimdall
+Replaces: heimdall
 Description: tool for flashing firmware on Samsung Galaxy S devices
  Heimdall is a tool for flashing firmware (aka ROMs) onto Samsung Galaxy S
  devices over a USB connection.  It accomplishes this using the same
@@ -23,7 +25,9 @@
 
 Package: heimdall-flash-frontend
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, heimdall-flash
+Conflicts: heimdall-frontend
+Replaces: heimdall-frontend
 Description: tool for flashing firmware on Samsung Galaxy S devices - Qt GUI
  Heimdall is a tool for flashing firmware (aka ROMs) onto Samsung Galaxy S
  devices over a USB connection.  It accomplishes this using the same
