## heimdall-flash 1.4.1

=== debian/changelog ===
heimdall-flash (1.4.1-2) unstable; urgency=medium

  * Add watch file; thanks to Bálint Réczkey.
  * Build with LFS_CFLAGS, for compatibility with files >2GB on 32-bit archs.
    Closes: #807800.

 -- Steve Langasek <vorlon@debian.org>  Tue, 01 Mar 2016 07:03:09 +0000

heimdall-flash (1.4.1-1) unstable; urgency=medium

  * New upstream release.  Closes: #754309.
  * Fix our udev rules to use uaccess, not udev-acl which no longer works.
    Closes: #747034.
  * Version the build-dependcy on libusb-1.0-0-dev.  Of minimal utility now
    that jessie is released, but not incorrect.  Closes: #775064.

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 Sep 2015 20:43:03 +0000
