=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+DEB_CFLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS)
+export DEB_CFLAGS_MAINT_APPEND
 
 DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
 VERSION = $(shell echo $(DEB_VERSION) | sed -e 's/-.*//; s/+dfsg.*//')
