=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*// \
	 https://github.com/Benjamin-Dobell/Heimdall/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
