## heimdall-flash 1.4.2+dfsg

=== debian/changelog ===
heimdall-flash (1.4.2+dfsg-1) unstable; urgency=medium

  [Nicholas D Steeves]
  * Salvage heimdall-flash. (Closes: #946706)
  * Set myself as Maintainer.
  * New upstream release. (Closes: #872788)
    - Ben Hutchings, Matt Taggart, Mathias Behrle, and Michal Suchanek
      confirmed that this release solves issues with downloading a device's
      PIT. (Closes: #800573)
  * Build with Qt5. (Closes: #874915)
  * Add gbp.conf.
  * Drop remove-largefile-define.diff, to test if it is still needed.  The
    upstream build system now uses qmake via CMake, rather than directly
    using the native Qt build system, heimdall-frontend.pro has
    disappeared, and CMakeLists.txt:L48 appends QT_LARGEFILE_SUPPORT to
    COMPILE_DEFINITIONS.  Given Marcin's description and confirmation with
    Lisandro about QT_LARGEFILE_SUPPORT in Debian, it's unclear whether or
    not patching out QT_LARGEFILE_SUPPORT is still required.
  * Switch to debhelper-compat 12.  Cut "--parallel" from rules, because
    it is enabled by default with this dh version.
  * Drop all overrides from rules.
  * Drop get-orig-source from rules, because it does not appear to have
    been used since 1.4~rc1+dfsg-1, because it uses the old github remote,
    and because I do not want to maintain it.
  * Add CMake as a build-dep.
  * Modify heimdall-flash.install and heimdall-flash-frontend.install to
    source binaries from CMake build dir.
  * Update Vcs links to use the Debian project on salsa.
  * Override dh_auto_install to build man page from Linux README, and add
    txt2man as a build-dep.
  * Drop the version qualifier for libusb-1.0-0-dev build-dep, because
    even oldoldstable has the minimum required version of 2:1.0.19-1.
  * Install man page using heimdall-flash.manpages
  * Provide a man page for heimdall-frontend using
    heimdall-flash-frontend.links
  * Copyright: Use secure URLs.
  * Copyright: Add Steve Langasek and myself for debian/*
  * Rules: Stop parsing the changelog and instead use pkg-info.mk to get
    DEB_VERSION_UPSTREAM.
  * Declare Standards-Version: 4.5.0
    - Change Priority extra to optional.
  * Add lintian override for "appstream-metadata-missing-modalias-provide".
    See lintian-overrides for rationale.  Thanks to Moritz Mühlenhoff for the
    review and discussion on this package's lint.
  * Add zadig.exe to copyright's Files-Excluded, add +dfsg suffix to version,
    and adjust watch file for a DFSG-repacked orig.tarball.
  * Add Lintian override for hardening-no-bindnow.  See
    debian/lintian-overrides for rationale.

  [Felix Lechner and Nicholas D Steeves]
  * Update watch file to use new gitlab.com upstream.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 08 Mar 2020 17:53:20 -0400
