=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: heimdall-flash
 Section: devel
-Priority: extra
-Maintainer: Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 9~),
-	libusb-1.0-0-dev,
-	qt4-qmake,
-	libqt4-dev,
-	libz-dev,
-	pkg-config,
-Standards-Version: 3.9.4
+Priority: optional
+Maintainer: Nicholas D Steeves <nsteeves@gmail.com>
+Build-Depends: debhelper-compat (= 12),
+               cmake,
+               libusb-1.0-0-dev,
+               libz-dev,
+               pkg-config,
+               qt5-qmake,
+               qttools5-dev,
+               txt2man
+Standards-Version: 4.5.0
 Homepage: http://www.glassechidna.com.au/products/heimdall/
-Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/users/vorlon/heimdall/trunk/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/users/vorlon/heimdall/trunk/
+Vcs-Browser: https://salsa.debian.org/debian/heimdall-flash
+Vcs-Git: https://salsa.debian.org/debian/heimdall-flash.git
 
 Package: heimdall-flash
 Architecture: any
