=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v(\d\S+)\/Heimdall.*\.tar\.bz2/@PACKAGE@-$1\.tar\.bz2/g,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+dfsg \
  https://gitlab.com/BenjaminDobell/Heimdall/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.bz2
