=== heimdall-frontend/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.4)
+cmake_minimum_required(VERSION 3.0.0)
 
 project(heimdall-frontend)
 
@@ -11,7 +11,10 @@
 find_package(Qt5Widgets REQUIRED)
 find_package(ZLIB REQUIRED)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
+if(APPLE)
+    set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lobjc -framework IOKit -framework CoreFoundation")
+endif()
 
 if(MINGW)
     set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
@@ -41,8 +44,38 @@
     ${HEIMDALL_FRONTEND_FORMS}
     ${HEIMDALL_FRONTEND_RESOURCES})
 
-include(LargeFiles)
-use_large_files(heimdall-frontend YES)
+target_compile_features(heimdall-frontend PRIVATE cxx_std_11)
+
+include(CheckSymbolExists)
+
+#
+# Large file support on UN*X, a/k/a LFS.
+#
+# On Windows, we require _fseeki64() and _ftelli64().  Visual Studio
+# has had supported them since Visual Studio 2005/MSVCR80.
+#
+if(NOT WIN32)
+    include(FindLFS)
+    if(LFS_FOUND)
+        #
+        # Add the required #defines.
+        #
+        add_definitions(${LFS_DEFINITIONS})
+    endif()
+
+    #
+    # Check for fseeko as well.
+    #
+    include(FindFseeko)
+    if(FSEEKO_FOUND)
+        set(HAVE_FSEEKO ON)
+
+        #
+        # Add the required #defines.
+        #
+        add_definitions(${FSEEKO_DEFINITIONS})
+    endif()
+endif()
 
 set_property(TARGET heimdall-frontend
     APPEND PROPERTY COMPILE_DEFINITIONS "QT_LARGEFILE_SUPPORT")
@@ -50,3 +83,7 @@
 target_link_libraries(heimdall-frontend pit)
 target_link_libraries(heimdall-frontend Qt5::Widgets)
 target_link_libraries(heimdall-frontend z)
+install (TARGETS heimdall-frontend
+        RUNTIME    DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+        LIBRARY    DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        BUNDLE DESTINATION /Applications)
