=== heimdall/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
-cmake_minimum_required(VERSION 2.8.4)
+cmake_minimum_required(VERSION 3.0.0)
 
 project(heimdall)
-
-if((NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (NOT DEFINED libusb_USE_STATIC_LIBS))
-    set(libusb_USE_STATIC_LIBS YES)
-endif((NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (NOT DEFINED libusb_USE_STATIC_LIBS))
 
 find_package(libusb REQUIRED)
 
 set(LIBPIT_INCLUDE_DIRS
     ../libpit/source)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
+if(APPLE)
+    set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lobjc -framework IOKit -framework CoreFoundation")
+endif()
 
 if(MINGW)
     set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
@@ -40,9 +39,42 @@
     source/Utility.cpp
     source/VersionAction.cpp)
 
-include(LargeFiles)
-use_large_files(heimdall YES)
+include(CheckSymbolExists)
+
+#
+# Large file support on UN*X, a/k/a LFS.
+#
+# On Windows, we require _fseeki64() and _ftelli64().  Visual Studio
+# has had supported them since Visual Studio 2005/MSVCR80.
+#
+if(NOT WIN32)
+    include(FindLFS)
+    if(LFS_FOUND)
+        #
+        # Add the required #defines.
+        #
+        add_definitions(${LFS_DEFINITIONS})
+    endif()
+
+    #
+    # Check for fseeko as well.
+    #
+    include(FindFseeko)
+    if(FSEEKO_FOUND)
+        set(HAVE_FSEEKO ON)
+
+        #
+        # Add the required #defines.
+        #
+        add_definitions(${FSEEKO_DEFINITIONS})
+    endif()
+endif()
+
 add_executable(heimdall ${HEIMDALL_SOURCE_FILES})
+target_compile_features(heimdall PRIVATE cxx_std_11)
 
 target_link_libraries(heimdall PRIVATE pit)
-target_link_libraries(heimdall PRIVATE usb-1.0)
+target_link_libraries(heimdall PRIVATE ${LIBUSB_LIBRARIES})
+install (TARGETS heimdall
+    RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
