=== debian/changelog ===
heimdall-flash (2.0.2-3) unstable; urgency=medium

  * Drop myself from Uploaders.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Aug 2024 19:16:14 -0400

heimdall-flash (2.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Sat, 17 Jun 2023 21:13:46 +0000

heimdall-flash (2.0.2-1) experimental; urgency=medium

  * Import new upstream
  * Add myself as uploader

 -- Bastien Roucariès <rouca@debian.org>  Sun, 07 May 2023 20:47:14 +0000

heimdall-flash (1.4.2+dfsg-2) UNRELEASED; urgency=medium

  * Cherry pick upstream commit:cc44b349, which is present in merge
    commit:9bcc42da, and which allegedly solves "cannot flash RECOVERY on
    Samsung Note 3 (SM-N9005, hlte)".  This commit corresponds to
    0001-Use-library-found-instead-of-hardcoding-compiler-fla.patch.
  * Cherry pick upstream commit:4a9259b4 from merge commit:5377b628.  While
    it does not provide GNUInstallDirs, CMake install targets are a step in
    the right direction.  This commit corresponds to
    0002-Added-install-targets.patch.
  * Use paths from new CMake install targets in
    heimdall-flash-frontend.install.
  * Cherry pick upstream commit:4a9259b4, which modifies README.md to reflect
    upstream's migration from GitHub to Gitlab.  This commit corresponds to
    0003-Updated-README.md-so-the-README-.txt-links-point-to-.patch.
  * Cherry pick commit:0fd207a4 from a merge request; it adds the Odin
    protocol v4 support needed by newer devices.  This commit corresponds to
    0004-heimdall-Odin-protocol-version-4-support.patch.
  * Cherry pick commit:d8a14b55 from the same MR; it enables uploading of large
    firmware.  This ability is likely to be uneeded by most users, who will
    use heimdall-flash to flash TWRP, and then TWRP to flash a new Android
    firmware; however, it seems like supporting this might be part of the
    Odin protocol v4 specification, and it may be useful for flashing
    non-Android firmware.  This commit corresponds to
    0005-heimdall-Fix-flashing-firmwares-bigger-than-3.5GB.patch.
  * Cherry pick commit:fbdfe503 from another MR; this patch appears to be
    required for devices such as the GT-S5360 and GT-S6102, and it is likely
    that other new devices will also require it.  This commit corresponds to
    0006-Issue-517-Heimdall-set-interface-failure-errno-110-o.patch.
  * Migrate to debhelper-compat 13.
  * Set Rules-Requires-Root: no.
  * Declare Standards-Version: 4.5.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 16 Mar 2020 16:12:13 -0600
