=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: heimdall-flash
 Section: devel
 Priority: optional
-Maintainer: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Bastien Roucaries <rouca@debian.org>
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libusb-1.0-0-dev,
                libz-dev,
@@ -10,8 +10,9 @@
                qt5-qmake,
                qttools5-dev,
                txt2man
-Standards-Version: 4.5.0
-Homepage: http://www.glassechidna.com.au/products/heimdall/
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
+Homepage: https://git.sr.ht/~grimler/Heimdall/
 Vcs-Browser: https://salsa.debian.org/debian/heimdall-flash
 Vcs-Git: https://salsa.debian.org/debian/heimdall-flash.git
