=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
export SOURCE_DATE_EPOCH

DEB_CFLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS)
export DEB_CFLAGS_MAINT_APPEND

%:
	dh $@

# generate man page during auto_install
override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp
	txt2man -d $$SOURCE_DATE_EPOCH -t HEIMDALL -s1 -t heimdall \
	        -r heimdall-$$DEB_VERSION_UPSTREAM \
	        -v "tool for flashing firmware on Samsung Galaxy S devices" \
	        Linux/README > debian/tmp/heimdall.1
