=== debian/changelog ===
heimdall-flash (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Add appstream metadata (Closes: #1076349)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 21 Apr 2025 19:25:09 +0200
