=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: heimdall-flash
 Section: devel
 Priority: optional
-Maintainer: Bastien Roucaries <rouca@debian.org>
+Maintainer: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Bastien Roucaries <rouca@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libusb-1.0-0-dev,
