=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
export SOURCE_DATE_EPOCH

DEB_CFLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS)
export DEB_CFLAGS_MAINT_APPEND

%:
	dh $@

# generate man page during auto_install
override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp
