=== debian/watch ===
version=4
opts=filenamemangle=s/.*v@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/g,dversionmangle=s/@DEB_EXT@//,repacksuffix=+dfsg \
  https://git.sr.ht/~grimler/Heimdall/refs/ .*/v@ANY_VERSION@@ARCHIVE_EXT@
